*OLD-THREAD - SEE NEW* [Unofficial] Deluge 2.0.x installer

Specific support for Deluge on Microsoft Windows OS
petersasi
Leecher
Leecher
Posts: 93
Joined: Sun Nov 17, 2019 8:09 am

New release

Postby petersasi » Mon Aug 10, 2020 1:36 pm

Hi folks!
A lot of work went into this release with a little to show for unfortunately.
Please test and let me know if any of your 3rd part plugins still do not work!
  1. Added YaRSS2 plugin to the installer and re-added the files that were missing for those.
  2. Patched out the complex code in log.py trying (and failing on Windows) to monkey-patch the calling module's log attribute, and just leave the original warning there to help the users of 3rd party plugins using deprecated log interfaces.
  3. Create a single installer build script with paramteres
  4. Added Build Menu cmd file from MHerz.
  5. Added a lib folder for common build code an createlinks.cmd to create a symlink to it into each build folder
  6. Made sure the curl we use is from the MSYS2 we installed, not the windows one.
  7. Reverted installing 7zip for windows and instead added it to the packages installed in MSYS2.
  8. Start using color to make build messages pop more out of the build output
  9. Unified Copyright notices in all CMD files
@MHerz interesting note: I could not download the YaRSS2 egg from bitbucket wit curl, could not figure how to make it use the redirect to AWS, had to switch to wget instead :o

mhertz
Compulsive Poster
Compulsive Poster
Posts: 841
Joined: Wed Jan 22, 2014 5:05 am
Location: Denmark

Re: [Unofficial] Deluge 2.0.x installer

Postby mhertz » Mon Aug 10, 2020 1:48 pm

Thanks for your much work! :) Sounds great.

About curl, just for another time encountering such, then add it's '-L' switch for such scenarios.

Bobby
Member
Member
Posts: 16
Joined: Wed Aug 05, 2020 7:37 pm

Re: [Unofficial] Deluge 2.0.x installer

Postby Bobby » Mon Aug 10, 2020 3:25 pm

First of all thanks for the amazing and quick work, you did there. The yarrs plugin is showing up in plugins menu, and its possible to enable it, but if i pass a feed in it then nothing, and i am addeding both the rss feed url, and the one where we set the regex code, so i am not sure if this bug is something with the build or with the plugin, i have been using the yarrs plugin for years, and have never seen this before.

Posted my log error in the plugin forum for yarrs, if anyone is intrested to see it, also i am willing to test out a beta version if needed :-)

petersasi
Leecher
Leecher
Posts: 93
Joined: Sun Nov 17, 2019 8:09 am

Re: [Unofficial] Deluge 2.0.x installer

Postby petersasi » Tue Aug 11, 2020 2:33 am

I am guessing I will have to dig the several megabyte gvsbuild text log then for erroros :) Later, still seems to work.

mhertz wrote:I have the same scenario as you on my end. It was the same also in previous GTK release I just checked.

Sorry, I don't know why there's missing files referenced honestly, but it's normal atleast that the amount of files in these folders varies, e.g. on my linux system, I also have varying files, since the gtk3 package itself installs these two gtk3 files into these folders and then the other files added in varies folders are from other packages e.g. gtk3 deps or explicitly installed other packages adding localization files to the various locales, varying from package to package, e.g. as an example, on my linux system, I can see who owns i.e. installed, the different localization files:

Code: Select all

martin@arch ~ % pacqo /usr/share/locale/en{,@shaw,_CA,_GB}/LC_MESSAGES/*
/usr/share/locale/en/LC_MESSAGES/gtk30-properties.mo is owned by gtk3 1:3.24.21-1
/usr/share/locale/en/LC_MESSAGES/gtk30.mo is owned by gtk3 1:3.24.21-1
/usr/share/locale/en/LC_MESSAGES/iso_3166-2.mo is owned by iso-codes 4.5.0-1
/usr/share/locale/en/LC_MESSAGES/iso_3166_2.mo is owned by iso-codes 4.5.0-1
/usr/share/locale/en/LC_MESSAGES/yay.mo is owned by yay-bin 10.0.3-1
/usr/share/locale/en@shaw/LC_MESSAGES/atk10.mo is owned by atk 2.36.0-1
/usr/share/locale/en@shaw/LC_MESSAGES/gdk-pixbuf.mo is owned by gdk-pixbuf2 2.40.0+6+g5432316df-1
/usr/share/locale/en@shaw/LC_MESSAGES/glib20.mo is owned by glib2 2.64.4-1
/usr/share/locale/en@shaw/LC_MESSAGES/gtk30-properties.mo is owned by gtk3 1:3.24.21-1
/usr/share/locale/en@shaw/LC_MESSAGES/gtk30.mo is owned by gtk3 1:3.24.21-1
/usr/share/locale/en_CA/LC_MESSAGES/at-spi2-core.mo is owned by at-spi2-core 2.36.0-1
/usr/share/locale/en_CA/LC_MESSAGES/atk10.mo is owned by atk 2.36.0-1
/usr/share/locale/en_CA/LC_MESSAGES/avahi.mo is owned by avahi 0.8+15+ge8a3dd0-1
/usr/share/locale/en_CA/LC_MESSAGES/gdk-pixbuf.mo is owned by gdk-pixbuf2 2.40.0+6+g5432316df-1
/usr/share/locale/en_CA/LC_MESSAGES/glib-networking.mo is owned by glib-networking 2.64.3-2
/usr/share/locale/en_CA/LC_MESSAGES/glib20.mo is owned by glib2 2.64.4-1
/usr/share/locale/en_CA/LC_MESSAGES/gtk20-properties.mo is owned by gtk2 2.24.32-2
/usr/share/locale/en_CA/LC_MESSAGES/gtk20.mo is owned by gtk2 2.24.32-2
/usr/share/locale/en_CA/LC_MESSAGES/gtk30-properties.mo is owned by gtk3 1:3.24.21-1
/usr/share/locale/en_CA/LC_MESSAGES/gtk30.mo is owned by gtk3 1:3.24.21-1
/usr/share/locale/en_GB/LC_MESSAGES/at-spi2-core.mo is owned by at-spi2-core 2.36.0-1
/usr/share/locale/en_GB/LC_MESSAGES/atk10.mo is owned by atk 2.36.0-1
/usr/share/locale/en_GB/LC_MESSAGES/avahi.mo is owned by avahi 0.8+15+ge8a3dd0-1
/usr/share/locale/en_GB/LC_MESSAGES/colord.mo is owned by colord 1.4.4+9+g1ce26da-2
/usr/share/locale/en_GB/LC_MESSAGES/gdk-pixbuf.mo is owned by gdk-pixbuf2 2.40.0+6+g5432316df-1
/usr/share/locale/en_GB/LC_MESSAGES/glib-networking.mo is owned by glib-networking 2.64.3-2
/usr/share/locale/en_GB/LC_MESSAGES/glib20.mo is owned by glib2 2.64.4-1
/usr/share/locale/en_GB/LC_MESSAGES/gsettings-desktop-schemas.mo is owned by gsettings-desktop-schemas 3.36.1-1
/usr/share/locale/en_GB/LC_MESSAGES/gst-plugins-base-1.0.mo is owned by gst-plugins-base-libs 1.16.2-2
/usr/share/locale/en_GB/LC_MESSAGES/gstreamer-1.0.mo is owned by gstreamer 1.16.2-2
/usr/share/locale/en_GB/LC_MESSAGES/gtk20-properties.mo is owned by gtk2 2.24.32-2
/usr/share/locale/en_GB/LC_MESSAGES/gtk20.mo is owned by gtk2 2.24.32-2
/usr/share/locale/en_GB/LC_MESSAGES/gtk30-properties.mo is owned by gtk3 1:3.24.21-1
/usr/share/locale/en_GB/LC_MESSAGES/gtk30.mo is owned by gtk3 1:3.24.21-1
/usr/share/locale/en_GB/LC_MESSAGES/json-glib-1.0.mo is owned by json-glib 1.4.4-2
/usr/share/locale/en_GB/LC_MESSAGES/libalpm.mo is owned by pacman 5.2.2-1
/usr/share/locale/en_GB/LC_MESSAGES/libc.mo is owned by glibc 2.31-5
/usr/share/locale/en_GB/LC_MESSAGES/libsecret.mo is owned by libsecret 0.20.3-1
/usr/share/locale/en_GB/LC_MESSAGES/libsoup.mo is owned by libsoup 2.70.0-1
/usr/share/locale/en_GB/LC_MESSAGES/p11-kit.mo is owned by libp11-kit 0.23.20-5
/usr/share/locale/en_GB/LC_MESSAGES/pacman-scripts.mo is owned by pacman 5.2.2-1
/usr/share/locale/en_GB/LC_MESSAGES/pacman.mo is owned by pacman 5.2.2-1
/usr/share/locale/en_GB/LC_MESSAGES/shared-mime-info.mo is owned by shared-mime-info 2.0+1+g6bf9e4f-2
/usr/share/locale/en_GB/LC_MESSAGES/xkeyboard-config.mo is owned by xkeyboard-config 2.30-2
martin@arch ~ %

petersasi
Leecher
Leecher
Posts: 93
Joined: Sun Nov 17, 2019 8:09 am

Re: [Unofficial] Deluge 2.0.x installer

Postby petersasi » Tue Aug 11, 2020 2:34 am

What if you delete the plugin that I bundled and add in the one you can download?
Bobby wrote:First of all thanks for the amazing and quick work, you did there. The yarrs plugin is showing up in plugins menu, and its possible to enable it, but if i pass a feed in it then nothing, and i am addeding both the rss feed url, and the one where we set the regex code, so i am not sure if this bug is something with the build or with the plugin, i have been using the yarrs plugin for years, and have never seen this before.

Posted my log error in the plugin forum for yarrs, if anyone is intrested to see it, also i am willing to test out a beta version if needed :-)

mhertz
Compulsive Poster
Compulsive Poster
Posts: 841
Joined: Wed Jan 22, 2014 5:05 am
Location: Denmark

Re: [Unofficial] Deluge 2.0.x installer

Postby mhertz » Tue Aug 11, 2020 6:48 am

petersasi wrote:I am guessing I will have to dig the several megabyte gvsbuild text log then for erroros :) Later, still seems to work.

Sorry, I meant I don't think there's any errors. Where exactly do you see missing files referenced i.e is it during your deluge profiling. What specific file? Real errors almost always fully break building(gvsbuild etc) and stops completely midthrough.

Bobby
Member
Member
Posts: 16
Joined: Wed Aug 05, 2020 7:37 pm

Re: [Unofficial] Deluge 2.0.x installer

Postby Bobby » Tue Aug 11, 2020 7:09 am

it dosent help have tired that but somehow the 204 dev version is way faster for me

petersasi
Leecher
Leecher
Posts: 93
Joined: Sun Nov 17, 2019 8:09 am

Re: [Unofficial] Deluge 2.0.x installer

Postby petersasi » Tue Aug 11, 2020 3:09 pm

OK, mherz will know better but maybe it's not enough to justify patch log.py and fetch the vanilla plugin, do I need to patch and build the plugin too instead of just downloading?

Bobby wrote:it dosent help have tired that but somehow the 204 dev version is way faster for me

mhertz
Compulsive Poster
Compulsive Poster
Posts: 841
Joined: Wed Jan 22, 2014 5:05 am
Location: Denmark

Re: [Unofficial] Deluge 2.0.x installer

Postby mhertz » Tue Aug 11, 2020 3:29 pm

Code: Select all

INSTALL-DIR\Lib\xml\etree\ElementPath.py
INSTALL-DIR\Lib\xml\etree\ElementTree.py

https://gofile.io/d/Jk5SKD

Bobby
Member
Member
Posts: 16
Joined: Wed Aug 05, 2020 7:37 pm

Re: [Unofficial] Deluge 2.0.x installer

Postby Bobby » Tue Aug 11, 2020 3:44 pm

Ok it works after i added the files mhertz posted above me, so i hope that helps, to be honest all i can help with is to post if its working or not, i am not a coder of any kind, but like i said after i added those two files, the rss is posting results. Ill let you know if its grabbing stuff too :)

Ok it works, its also grabbing torrents from the feeds, so all is good for now.

Ok now i am feeling kinda stupid for asking this, but if i try to download tote's autoremove+ plugin from his site then it show up but cant enable it, and also if i get the "hacked" version from mherz it dosnt help either, also i tried to put both plugins in the install dir and in the plugins dir in appdata, but netier works any ideas ?


Return to “Windows OS”

Who is online

Users browsing this forum: No registered users and 6 guests